Bug 172140 - Review Request: libmal: a convenience library for malsync
Review Request: libmal: a convenience library for malsync
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://jasonday.home.att.net/code/lib...
:
: 172141 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-31 14:20 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 10:28:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-10-31 14:20:12 EST
Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/libmal-0.31-1.spec
SRPM Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/libmal-0.31-1.src.rpm
Description: 
A convenience library of the object files contained in Tom Whittaker's
malsync distribution, along with a few wrapper functions.
Comment 1 Rex Dieter 2005-10-31 14:36:15 EST
*** Bug 172141 has been marked as a duplicate of this bug. ***
Comment 2 Chris Chabot 2006-01-18 09:23:31 EST
Still looking for a reviewer? I'd be willing to pick it up. I see upstream has a
new version (0.40), want to update it to that version or want the review to be
for this one?
Comment 3 Rex Dieter 2006-02-05 21:01:49 EST
Yes, still need a reviewer.  No, I want/need libmal-0.31, since that's what
kdepim currently can use.

When/if there's ever a need/demand for 0.40, we can make a compat pkg.
Comment 4 Mike McGrath 2006-02-22 07:00:58 EST
Looks good

Do the patches included in this srpm have an upstream url that you could append
to them in the spec file?
Comment 5 Rex Dieter 2006-02-22 07:46:01 EST
The patches are from me, so there is no upstream url for them.
Comment 6 John Mahowald 2006-02-24 10:49:40 EST
Looks good overall, a few nitpicks:

Needs work:
* rpmlint of libmal: Remove empty files and capitalize summary.
* The package should contain the text of the license
  (wiki: PackageReviewGuidelines)

Just a couple spec tweaks, and query the author to package the license with the
tarball.
Comment 7 John Mahowald 2006-03-21 17:46:21 EST
Oh, the license is included. Never mind about that.

- rpmlint checks return:
W: libmal summary-not-capitalized a convenience library for malsync
W: libmal summary-not-capitalized a convenience library for malsync
E: libmal zero-length /usr/share/doc/libmal-0.31/TODO
E: libmal zero-length /usr/share/doc/libmal-0.31/NEWS
E: libmal zero-length /usr/share/doc/libmal-0.31/AUTHORS
W: libmal-debuginfo objdump-failed
E: libmal-devel only-non-binary-in-usr-lib

Capitalize summary and remove empty files. for devel package,
only-non-binary-in-usr-lib, it's a symlink, ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (MPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

APPROVED
Comment 8 Rex Dieter 2006-03-22 10:28:34 EST
Thanks, imported, suggested minor changes incomporated into libmal-0.31-2

Note You need to log in before you can comment on or make changes to this bug.